﻿using Telerik.Windows.Controls;

namespace WpfApp
{
	public class MyLocalizationManager : LocalizationManager
	{
		public override string GetStringOverride(string key)
		{
			switch (key)
			{
				//---------------------- RadColorSelector & RadColorPicker:
				case "ColorPickerAutomatic":
					return "Авто:";
				case "ColorPickerThemeColors":
					return "Цветове на темата";
				case "ColorPickerStandardColors":
					return "Стандартни цветове";
				//---------------------- RadTreeView:
				case "TreeViewDropIn":
					return "Пусни във ";
				case "TreeViewDropAfter":
					return "Пусни след ";
				case "TreeViewDropBefore":
					return "Пусни преди ";
				////---------------------- Elements in Demo Page:
				case "DemoBtnNavigateToIndex":
					return "Navigate to index page-BG";
				case "DemoBtnOpenTestPage":
					return "Open test page-BG";
				case "DemoLocalizedTextBlock":
					return "BG - This text depends on chosen localization";
			}
			return base.GetStringOverride(key);
		}
	}
}
